---
title: The Stealth Project needs your help
date: 2019-11-06T09:32:40+00:00
author: marafed
image: /assets/blog/macaw-vaporwave.jpg
---

## The Stealth Project needs your help! 

We need your help to going through our work. Giving such a complex service to millions of people all around the world requires a huge infrastructure; and, as you can imagine, ours cannot be self-hosted on a cheap VPS. 
We do not track you in any way, and we do not exploit your data to make money, and we never will do. 
We need your support to assure you the service at its best. 
Donate today and be part of the change! 

## More about our infrastructure… 

To grant the highest level of privacy to our users, the entire insfrastructure is hosted on dedicated servers.  Although we have a vast network of mirrors, the central network needs significant resources to be able to correctly redirect to the correct mirror, avoid any censorship in countries with limitations and guarantee security updates in a very short time. Over the years we have even developed our own CDN service (have a look here: https://docs.stealthlinux.org/weathermap/), to have more control over the infrastructure and not allow third parties to read and tamper with traffic.

The archive only requires multiple nodes of at least 1 TB of storage each, the overall infrastructure receives more than 500 requests per second, the Redis service requires at least 24GB of RAM per node for the correct redirection of resources, and, despite everything, we can keep the costs of this infrastructure lower than impossible.

We are lucky to be a huge community, but from this community the number of donors is very low, at the moment it amounts to 33 in total, for a system that is used by hundreds of thousands of people in the world.

Currently, with the donations we receive, developers (who contribute purely on a voluntary basis, without any kind of remuneration) are forced to self tax themselves to keep the machines that are the foundations of our structure standing.

## How to contribute

If you want to give your contribution to the project, head on our donations page and feel free to become a stable sponsor via Patreon, or send your one-shot contribution via PayPal.

We also love Cryptocurrencies, and Bitcoin, Litecoin, Ethereum, Stellar Lumens and other cryptocurrencies are more than welcome.

[Donations Page](https://docs.stealthlinux.org/donate)


Keep Pwning!
